repo/gentoo:master commit in: dev-python/pybind11/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069738.f1cb567f1e3e5cafb8f5b2603d1036812f9c8d47.mgorny@gentoo>
commit:     f1cb567f1e3e5cafb8f5b2603d1036812f9c8d47
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 01:56:36 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:28:58 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1cb567f

dev-python/pybind11: Bump to 3.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pybind11/Manifest              |  1 +
 dev-python/pybind11/pybind11-3.1.0.ebuild | 86 +++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/pybind11/Manifest b/dev-python/pybind11/Manifest
index c463e09273dd..91fdf8324f4e 100644
--- a/dev-python/pybind11/Manifest
+++ b/dev-python/pybind11/Manifest
@@ -1,2 +1,3 @@
 DIST pybind11-3.0.1.gh.tar.gz 918227 BLAKE2B 90700c919872cd697a59951ef86da0bd0487fe01cd3f3e1b54f2b0b6380a356271635796ea2289340377ecb6ec571ac921ad5dae0e4c82f579f7d8acefba72e5 SHA512 c17e6d6a78c38e760864b390ac2aa7df6a94ca53acb2e8be71f0d63d611b738fa20a16946c98a93fbfcad56cb0346ebf247bbe41c6f5171c6ce68397b1e5c4db
 DIST pybind11-3.0.4.gh.tar.gz 966373 BLAKE2B 6a90953a1b46fab90257d56e7db3ff7233ecec1f97e0305d6673b0ce295980d4fa063f88fd5095a7609c188884eef246d291452daeebbf9a7e0794331531596d SHA512 40b40ec9fdde7b377222fa329162638be5e66bee75918d78369f741dc14b52f058fb50bb33159d099fc40f43aca39234092ce884cccc3258f34274c7dde807f0
+DIST pybind11-3.1.0.gh.tar.gz 984694 BLAKE2B 5afa2b2a3b35493c41a121bbd5f1c5327fcea56277c32ca64df7c98552660aee1a6e6fdc7ea89cae9a48ebb64e003859a259746de2d89a16e350c6621f042ee2 SHA512 a79f7ed52d23c27325f37c50926bd0d0561aafefcf847219ed1378ba0a5a94479e15943e4da49117606695f40762b21ddcc8c32a6b8be61afc6de503c635af74

diff --git a/dev-python/pybind11/pybind11-3.1.0.ebuild b/dev-python/pybind11/pybind11-3.1.0.ebuild
new file mode 100644
index 000000000000..96965aebc45d
--- /dev/null
+++ b/dev-python/pybind11/pybind11-3.1.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit cmake distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="AST-based Python refactoring library"
+HOMEPAGE="
+	https://pybind11.readthedocs.io/en/stable/
+	https://github.com/pybind/pybind11/
+	https://pypi.org/project/pybind11/
+"
+SRC_URI="
+	https://github.com/pybind/pybind11/archive/v${PV/_}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+	dev-cpp/eigen:=
+"
+BDEPEND="
+	test? (
+		<dev-cpp/catch-3:0
+		>=dev-cpp/catch-2.13.9:0
+		dev-libs/boost
+		dev-python/tomlkit[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	cmake_src_prepare
+	distutils-r1_src_prepare
+}
+
+python_configure() {
+	DISTUTILS_ARGS=(
+		# disable forced lto
+		-DHAS_FLTO=OFF
+		# https://github.com/pybind/pybind11/issues/5087
+		-DPYBIND11_FINDPYTHON=OFF
+		-DPYBIND11_INSTALL=ON
+		-DPYBIND11_TEST=OFF
+	)
+
+	local mycmakeargs=(
+		"${DISTUTILS_ARGS[@]}"
+		-DPYBIND11_TEST=$(usex test)
+
+		# fix missing prefix, https://bugs.gentoo.org/961861
+		-Dprefix_for_pc_file="${EPREFIX}"/usr
+	)
+	cmake_src_configure
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	# Compilation only does anything for tests
+	use test && cmake_src_compile
+}
+
+python_test() {
+	cmake_build cpptest test_cmake_build
+
+	cd "${BUILD_DIR}/tests" || die
+	epytest "${S}/tests"
+}
+
+python_install() {
+	distutils-r1_python_install
+	cmake_src_install
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.